Imports System.Globalization
Imports Fermion.Windows.Forms

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Dim ci As CultureInfo = CultureInfo.CreateSpecificCulture("ja-JP")
        Dim jc As New JapaneseCalendar()

        ci.DateTimeFormat.Calendar = jc
        For Each era As Integer In jc.Eras
            comboBox1.Items.Add(ci.DateTimeFormat.GetEraName(era))
        Next
        '-- IԂ --'
        comboBox1.SelectedItem = ""
        '-- {̓tݒ --'
        DValEdit1.Value.SetDateTimeValue(DateTime.Today)
        dValEdit2.Value.SetDateTimeValue(DateTime.Today, True)
        dValEdit2.Value.Era = ""
        '-- FontComboBox --'
        Dim defFont As String = "lr oSVbN"
        fontComboBox1.SelectedIndex = fontComboBox1.Items.IndexOf(defFont)
        '-- ExcelColorComboBox --' 
        excelColorComboBox1.SelectKnownColor(ExcelKnownColors.Light_green)

    End Sub

    Private Sub GradButton1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GradButton1.Click
        '-- MessageBox Object ̃CX^X --'
        Dim msg As Fermion.Windows.Forms.MessageBox = New Fermion.Windows.Forms.MessageBox()

        With msg
            '-- Button Text ύX --'
            .ButtonCaptions(DialogResult.Yes) = "͂ImFł܂I"
            .ButtonCaptions(DialogResult.No) = "mFHȂI"
            .ButtonCaptions(DialogResult.Cancel) = "芸LZ"

            '-- Icon ̕ύX --'
            .SpecialIcon.FileName = "shell32.dll"
            .SpecialIcon.IconIndex = 40
            .SpecialIcon.Show = True

            '-- \bZ[WI\ --'
            .SelectableText = True

            '-- ̃tH[̒ɕ\ --'
            .OwnerForm = Me
            .OwnerFormCenter = True
        End With

        '-- MessageBox \ --'
        Dim dlgRes As DialogResult = msg.Show( _
              DValEdit1.Value.StrDate _
            , "tmFĉ!" _
            , MessageBoxButtons.YesNoCancel _
            , MessageBoxIcon.Question _
            , MessageBoxDefaultButton.Button2 _
        )
        Me.GradButton1.Text = dlgRes.ToString()
    End Sub

    ''' <summary>
    ''' ύXɁALabel XVB
    ''' </summary>
    Private Sub comboBox1_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs) Handles comboBox1.SelectedIndexChanged
        dValEdit2.Value.Era = DirectCast(comboBox1.SelectedItem, String)
        Me.SetLabelText()
    End Sub

    ''' <summary>
    ''' NύXꂽƂ Label XVB
    ''' </summary>
    Private Sub dValEdit2_DateChanged(ByVal sender As Object, ByVal e As Fermion.Windows.Forms.DateChangedEventArgs) Handles dValEdit2.DateChanged
        Me.SetLabelText()
    End Sub

    ''' <summary>
    ''' a͒l𐼗ɕϊALabel ɕ\B
    ''' </summary>
    Private Sub SetLabelText()
        Try
            label1.Text = dValEdit2.Value.GetDateTimeValue().ToLongDateString()
        Catch generatedExceptionName As Exception
            label1.Text = ""
        End Try
    End Sub

End Class
