﻿'****************************************************************************************
' *  Copyright (C)  2006- Fermion ( T.Okawa ) All rights reserved.
''***************************************************************************************

Imports System
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Text
Imports System.IO
Imports System.Threading

Imports Fermion.Win32Lib

Namespace Win32LibSample
    ''' <summary>
    ''' Form1 の概要の説明です。
    ''' </summary>
    Public Class Form1
        Inherits System.Windows.Forms.Form

#Region " Windows フォーム デザイナで生成されたコード "

        Public Sub New()
            MyBase.New()

            ' この呼び出しは Windows フォーム デザイナで必要です。
            InitializeComponent()

            ' InitializeComponent() 呼び出しの後に初期化を追加します。
            AddHandler Me.Activated, AddressOf Form1OnActivated
            AddHandler radioButton1.CheckedChanged, AddressOf Me.radioButtons_CheckedChanged
            AddHandler radioButton2.CheckedChanged, AddressOf Me.radioButtons_CheckedChanged
            AddHandler radioButton3.CheckedChanged, AddressOf Me.radioButtons_CheckedChanged
            AddHandler radioButton4.CheckedChanged, AddressOf Me.radioButtons_CheckedChanged
            AddHandler radioButton5.CheckedChanged, AddressOf Me.radioButtons_CheckedChanged
            AddHandler radioButton6.CheckedChanged, AddressOf Me.radioButtons_CheckedChanged
        End Sub

        ' Form は、コンポーネント一覧に後処理を実行するために dispose をオーバーライドします。
        Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
            If disposing Then
                If Not (components Is Nothing) Then
                    components.Dispose()
                End If
            End If
            MyBase.Dispose(disposing)
        End Sub

        ' Windows フォーム デザイナで必要です。
        Private components As System.ComponentModel.IContainer

        ' メモ : 以下のプロシージャは、Windows フォーム デザイナで必要です。
        'Windows フォーム デザイナを使って変更してください。  
        ' コード エディタを使って変更しないでください。
        Friend WithEvents contextMenu1 As System.Windows.Forms.ContextMenu
        Friend WithEvents menuItem1 As System.Windows.Forms.MenuItem
        Friend WithEvents menuItem2 As System.Windows.Forms.MenuItem
        Friend WithEvents menuItem3 As System.Windows.Forms.MenuItem
        Friend WithEvents menuItem4 As System.Windows.Forms.MenuItem
        Friend WithEvents menuItem5 As System.Windows.Forms.MenuItem
        Friend WithEvents menuItem6 As System.Windows.Forms.MenuItem
        Friend WithEvents fileSystemWatcher1 As System.IO.FileSystemWatcher
        Friend WithEvents folderBrowserDialog1 As System.Windows.Forms.FolderBrowserDialog
        Private WithEvents StatusBar1 As System.Windows.Forms.StatusBar
        Friend WithEvents Panel1 As System.Windows.Forms.Panel
        Friend WithEvents Panel2 As System.Windows.Forms.Panel
        Friend WithEvents panel5 As System.Windows.Forms.Panel
        Friend WithEvents fileListView1 As Fermion.Windows.Forms.FileListView
        Friend WithEvents panel4 As System.Windows.Forms.Panel
        Friend WithEvents label4 As System.Windows.Forms.Label
        Friend WithEvents label3 As System.Windows.Forms.Label
        Friend WithEvents label2 As System.Windows.Forms.Label
        Friend WithEvents label1 As System.Windows.Forms.Label
        Friend WithEvents groupBox1 As System.Windows.Forms.GroupBox
        Friend WithEvents radioButton6 As System.Windows.Forms.RadioButton
        Friend WithEvents radioButton5 As System.Windows.Forms.RadioButton
        Friend WithEvents radioButton4 As System.Windows.Forms.RadioButton
        Friend WithEvents radioButton3 As System.Windows.Forms.RadioButton
        Friend WithEvents radioButton2 As System.Windows.Forms.RadioButton
        Friend WithEvents radioButton1 As System.Windows.Forms.RadioButton
        Friend WithEvents button5 As System.Windows.Forms.Button
        Friend WithEvents textBox3 As System.Windows.Forms.TextBox
        Friend WithEvents textBox2 As System.Windows.Forms.TextBox
        Friend WithEvents textBox1 As System.Windows.Forms.TextBox
        Friend WithEvents button4 As System.Windows.Forms.Button
        Friend WithEvents button3 As System.Windows.Forms.Button
        Friend WithEvents button1 As System.Windows.Forms.Button
        Friend WithEvents panel3 As System.Windows.Forms.Panel
        Friend WithEvents button2 As System.Windows.Forms.Button
        Friend WithEvents button6 As System.Windows.Forms.Button
        Friend WithEvents panel6 As System.Windows.Forms.Panel
        Private WithEvents button7 As System.Windows.Forms.Button
        Friend WithEvents treeView1 As System.Windows.Forms.TreeView


        <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
            Me.fileSystemWatcher1 = New System.IO.FileSystemWatcher
            Me.folderBrowserDialog1 = New System.Windows.Forms.FolderBrowserDialog
            Me.contextMenu1 = New System.Windows.Forms.ContextMenu
            Me.menuItem1 = New System.Windows.Forms.MenuItem
            Me.menuItem2 = New System.Windows.Forms.MenuItem
            Me.menuItem3 = New System.Windows.Forms.MenuItem
            Me.menuItem4 = New System.Windows.Forms.MenuItem
            Me.menuItem5 = New System.Windows.Forms.MenuItem
            Me.menuItem6 = New System.Windows.Forms.MenuItem
            Me.StatusBar1 = New System.Windows.Forms.StatusBar
            Me.Panel1 = New System.Windows.Forms.Panel
            Me.Panel2 = New System.Windows.Forms.Panel
            Me.panel5 = New System.Windows.Forms.Panel
            Me.fileListView1 = New Fermion.Windows.Forms.FileListView
            Me.panel4 = New System.Windows.Forms.Panel
            Me.label4 = New System.Windows.Forms.Label
            Me.label3 = New System.Windows.Forms.Label
            Me.label2 = New System.Windows.Forms.Label
            Me.label1 = New System.Windows.Forms.Label
            Me.groupBox1 = New System.Windows.Forms.GroupBox
            Me.radioButton6 = New System.Windows.Forms.RadioButton
            Me.radioButton5 = New System.Windows.Forms.RadioButton
            Me.radioButton4 = New System.Windows.Forms.RadioButton
            Me.radioButton3 = New System.Windows.Forms.RadioButton
            Me.radioButton2 = New System.Windows.Forms.RadioButton
            Me.radioButton1 = New System.Windows.Forms.RadioButton
            Me.button5 = New System.Windows.Forms.Button
            Me.textBox3 = New System.Windows.Forms.TextBox
            Me.textBox2 = New System.Windows.Forms.TextBox
            Me.textBox1 = New System.Windows.Forms.TextBox
            Me.button4 = New System.Windows.Forms.Button
            Me.button3 = New System.Windows.Forms.Button
            Me.button1 = New System.Windows.Forms.Button
            Me.panel3 = New System.Windows.Forms.Panel
            Me.button7 = New System.Windows.Forms.Button
            Me.button2 = New System.Windows.Forms.Button
            Me.button6 = New System.Windows.Forms.Button
            Me.panel6 = New System.Windows.Forms.Panel
            Me.treeView1 = New System.Windows.Forms.TreeView
            CType(Me.fileSystemWatcher1, System.ComponentModel.ISupportInitialize).BeginInit()
            Me.Panel1.SuspendLayout()
            Me.Panel2.SuspendLayout()
            Me.panel5.SuspendLayout()
            Me.panel4.SuspendLayout()
            Me.groupBox1.SuspendLayout()
            Me.panel3.SuspendLayout()
            Me.panel6.SuspendLayout()
            Me.SuspendLayout()
            '
            'fileSystemWatcher1
            '
            Me.fileSystemWatcher1.EnableRaisingEvents = True
            Me.fileSystemWatcher1.SynchronizingObject = Me
            '
            'contextMenu1
            '
            Me.contextMenu1.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItem1, Me.menuItem2, Me.menuItem3, Me.menuItem4, Me.menuItem5, Me.menuItem6})
            '
            'menuItem1
            '
            Me.menuItem1.Index = 0
            Me.menuItem1.Text = "切り取り(&T)"
            '
            'menuItem2
            '
            Me.menuItem2.Index = 1
            Me.menuItem2.Text = "コピー(&C)"
            '
            'menuItem3
            '
            Me.menuItem3.Index = 2
            Me.menuItem3.Text = "-"
            '
            'menuItem4
            '
            Me.menuItem4.Index = 3
            Me.menuItem4.Text = "貼り付け(&P)"
            '
            'menuItem5
            '
            Me.menuItem5.Index = 4
            Me.menuItem5.Text = "-"
            '
            'menuItem6
            '
            Me.menuItem6.Index = 5
            Me.menuItem6.Text = "ごみ箱に送る(&D)"
            '
            'StatusBar1
            '
            Me.StatusBar1.Location = New System.Drawing.Point(0, 494)
            Me.StatusBar1.Name = "StatusBar1"
            Me.StatusBar1.Size = New System.Drawing.Size(792, 22)
            Me.StatusBar1.TabIndex = 1
            '
            'Panel1
            '
            Me.Panel1.Controls.Add(Me.Panel2)
            Me.Panel1.Controls.Add(Me.panel6)
            Me.Panel1.Dock = System.Windows.Forms.DockStyle.Fill
            Me.Panel1.Location = New System.Drawing.Point(0, 0)
            Me.Panel1.Name = "Panel1"
            Me.Panel1.Size = New System.Drawing.Size(792, 494)
            Me.Panel1.TabIndex = 2
            '
            'Panel2
            '
            Me.Panel2.Controls.Add(Me.panel5)
            Me.Panel2.Controls.Add(Me.panel4)
            Me.Panel2.Controls.Add(Me.panel3)
            Me.Panel2.Dock = System.Windows.Forms.DockStyle.Right
            Me.Panel2.Location = New System.Drawing.Point(200, 0)
            Me.Panel2.Name = "Panel2"
            Me.Panel2.Size = New System.Drawing.Size(592, 494)
            Me.Panel2.TabIndex = 0
            '
            'panel5
            '
            Me.panel5.Controls.Add(Me.fileListView1)
            Me.panel5.Dock = System.Windows.Forms.DockStyle.Fill
            Me.panel5.Location = New System.Drawing.Point(0, 34)
            Me.panel5.Name = "panel5"
            Me.panel5.Size = New System.Drawing.Size(592, 236)
            Me.panel5.TabIndex = 3
            '
            'fileListView1
            '
            Me.fileListView1.ContextMenu = Me.contextMenu1
            Me.fileListView1.Dock = System.Windows.Forms.DockStyle.Fill
            Me.fileListView1.FocusedItemIndex = -1
            Me.fileListView1.HideSelection = False
            Me.fileListView1.Location = New System.Drawing.Point(0, 0)
            Me.fileListView1.Name = "fileListView1"
            Me.fileListView1.RootShellItem = Nothing
            Me.fileListView1.Size = New System.Drawing.Size(592, 236)
            Me.fileListView1.TabIndex = 0
            Me.fileListView1.UseCompatibleStateImageBehavior = False
            Me.fileListView1.View = System.Windows.Forms.View.Details
            '
            'panel4
            '
            Me.panel4.Controls.Add(Me.label4)
            Me.panel4.Controls.Add(Me.label3)
            Me.panel4.Controls.Add(Me.label2)
            Me.panel4.Controls.Add(Me.label1)
            Me.panel4.Controls.Add(Me.groupBox1)
            Me.panel4.Controls.Add(Me.button5)
            Me.panel4.Controls.Add(Me.textBox3)
            Me.panel4.Controls.Add(Me.textBox2)
            Me.panel4.Controls.Add(Me.textBox1)
            Me.panel4.Controls.Add(Me.button4)
            Me.panel4.Controls.Add(Me.button3)
            Me.panel4.Controls.Add(Me.button1)
            Me.panel4.Dock = System.Windows.Forms.DockStyle.Bottom
            Me.panel4.Location = New System.Drawing.Point(0, 270)
            Me.panel4.Name = "panel4"
            Me.panel4.Size = New System.Drawing.Size(592, 224)
            Me.panel4.TabIndex = 2
            '
            'label4
            '
            Me.label4.AutoSize = True
            Me.label4.Location = New System.Drawing.Point(91, 203)
            Me.label4.Name = "label4"
            Me.label4.Size = New System.Drawing.Size(188, 12)
            Me.label4.TabIndex = 11
            Me.label4.Text = "※注意！サブフォルダ内も検索します。"
            '
            'label3
            '
            Me.label3.AutoSize = True
            Me.label3.Location = New System.Drawing.Point(293, 39)
            Me.label3.Name = "label3"
            Me.label3.Size = New System.Drawing.Size(17, 12)
            Me.label3.TabIndex = 10
            Me.label3.Text = "→"
            '
            'label2
            '
            Me.label2.AutoSize = True
            Me.label2.Location = New System.Drawing.Point(325, 15)
            Me.label2.Name = "label2"
            Me.label2.Size = New System.Drawing.Size(18, 12)
            Me.label2.TabIndex = 9
            Me.label2.Text = "To"
            '
            'label1
            '
            Me.label1.AutoSize = True
            Me.label1.Location = New System.Drawing.Point(251, 15)
            Me.label1.Name = "label1"
            Me.label1.Size = New System.Drawing.Size(31, 12)
            Me.label1.TabIndex = 8
            Me.label1.Text = "From"
            '
            'groupBox1
            '
            Me.groupBox1.Controls.Add(Me.radioButton6)
            Me.groupBox1.Controls.Add(Me.radioButton5)
            Me.groupBox1.Controls.Add(Me.radioButton4)
            Me.groupBox1.Controls.Add(Me.radioButton3)
            Me.groupBox1.Controls.Add(Me.radioButton2)
            Me.groupBox1.Controls.Add(Me.radioButton1)
            Me.groupBox1.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.groupBox1.Location = New System.Drawing.Point(325, 62)
            Me.groupBox1.Name = "groupBox1"
            Me.groupBox1.Size = New System.Drawing.Size(255, 127)
            Me.groupBox1.TabIndex = 7
            Me.groupBox1.TabStop = False
            Me.groupBox1.Text = "Operation List"
            '
            'radioButton6
            '
            Me.radioButton6.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.radioButton6.Location = New System.Drawing.Point(128, 44)
            Me.radioButton6.Name = "radioButton6"
            Me.radioButton6.Size = New System.Drawing.Size(115, 24)
            Me.radioButton6.TabIndex = 5
            Me.radioButton6.Tag = "5"
            Me.radioButton6.Text = "プロパティ表示"
            '
            'radioButton5
            '
            Me.radioButton5.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.radioButton5.Location = New System.Drawing.Point(128, 19)
            Me.radioButton5.Name = "radioButton5"
            Me.radioButton5.Size = New System.Drawing.Size(115, 24)
            Me.radioButton5.TabIndex = 4
            Me.radioButton5.Tag = "4"
            Me.radioButton5.Text = "ごみ箱を空にする"
            '
            'radioButton4
            '
            Me.radioButton4.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.radioButton4.Location = New System.Drawing.Point(41, 94)
            Me.radioButton4.Name = "radioButton4"
            Me.radioButton4.Size = New System.Drawing.Size(73, 24)
            Me.radioButton4.TabIndex = 3
            Me.radioButton4.Tag = "3"
            Me.radioButton4.Text = "Rename"
            '
            'radioButton3
            '
            Me.radioButton3.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.radioButton3.Location = New System.Drawing.Point(41, 69)
            Me.radioButton3.Name = "radioButton3"
            Me.radioButton3.Size = New System.Drawing.Size(73, 24)
            Me.radioButton3.TabIndex = 2
            Me.radioButton3.Tag = "2"
            Me.radioButton3.Text = "Move"
            '
            'radioButton2
            '
            Me.radioButton2.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.radioButton2.Location = New System.Drawing.Point(41, 44)
            Me.radioButton2.Name = "radioButton2"
            Me.radioButton2.Size = New System.Drawing.Size(73, 24)
            Me.radioButton2.TabIndex = 1
            Me.radioButton2.Tag = "1"
            Me.radioButton2.Text = "Delete"
            '
            'radioButton1
            '
            Me.radioButton1.Checked = True
            Me.radioButton1.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.radioButton1.Location = New System.Drawing.Point(41, 19)
            Me.radioButton1.Name = "radioButton1"
            Me.radioButton1.Size = New System.Drawing.Size(73, 24)
            Me.radioButton1.TabIndex = 0
            Me.radioButton1.TabStop = True
            Me.radioButton1.Tag = "0"
            Me.radioButton1.Text = "Copy"
            '
            'button5
            '
            Me.button5.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.button5.Location = New System.Drawing.Point(85, 176)
            Me.button5.Name = "button5"
            Me.button5.Size = New System.Drawing.Size(199, 23)
            Me.button5.TabIndex = 6
            Me.button5.Text = "←拡張子を指定し、↑一覧取得(&E)"
            '
            'textBox3
            '
            Me.textBox3.Location = New System.Drawing.Point(9, 178)
            Me.textBox3.Name = "textBox3"
            Me.textBox3.Size = New System.Drawing.Size(72, 19)
            Me.textBox3.TabIndex = 5
            Me.textBox3.Text = "*.*"
            '
            'textBox2
            '
            Me.textBox2.Location = New System.Drawing.Point(326, 35)
            Me.textBox2.Name = "textBox2"
            Me.textBox2.Size = New System.Drawing.Size(214, 19)
            Me.textBox2.TabIndex = 4
            '
            'textBox1
            '
            Me.textBox1.Location = New System.Drawing.Point(8, 35)
            Me.textBox1.Multiline = True
            Me.textBox1.Name = "textBox1"
            Me.textBox1.ScrollBars = System.Windows.Forms.ScrollBars.Both
            Me.textBox1.Size = New System.Drawing.Size(274, 134)
            Me.textBox1.TabIndex = 3
            Me.textBox1.WordWrap = False
            '
            'button4
            '
            Me.button4.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.button4.Location = New System.Drawing.Point(543, 33)
            Me.button4.Name = "button4"
            Me.button4.Size = New System.Drawing.Size(36, 23)
            Me.button4.TabIndex = 2
            Me.button4.Text = "…"
            '
            'button3
            '
            Me.button3.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.button3.Location = New System.Drawing.Point(327, 195)
            Me.button3.Name = "button3"
            Me.button3.Size = New System.Drawing.Size(253, 23)
            Me.button3.TabIndex = 1
            Me.button3.Text = "Operation 実行(&X)"
            '
            'button1
            '
            Me.button1.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.button1.Location = New System.Drawing.Point(11, 5)
            Me.button1.Name = "button1"
            Me.button1.Size = New System.Drawing.Size(228, 23)
            Me.button1.TabIndex = 0
            Me.button1.Text = "↑選択 Item のフルパス一覧を取得↓(&L)"
            '
            'panel3
            '
            Me.panel3.Controls.Add(Me.button7)
            Me.panel3.Controls.Add(Me.button2)
            Me.panel3.Controls.Add(Me.button6)
            Me.panel3.Dock = System.Windows.Forms.DockStyle.Top
            Me.panel3.Location = New System.Drawing.Point(0, 0)
            Me.panel3.Name = "panel3"
            Me.panel3.Size = New System.Drawing.Size(592, 34)
            Me.panel3.TabIndex = 1
            '
            'button7
            '
            Me.button7.Location = New System.Drawing.Point(407, 6)
            Me.button7.Name = "button7"
            Me.button7.Size = New System.Drawing.Size(173, 23)
            Me.button7.TabIndex = 15
            Me.button7.Text = "Focused Item の取得／設定"
            Me.button7.UseVisualStyleBackColor = True
            '
            'button2
            '
            Me.button2.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.button2.Location = New System.Drawing.Point(12, 6)
            Me.button2.Name = "button2"
            Me.button2.Size = New System.Drawing.Size(120, 23)
            Me.button2.TabIndex = 0
            Me.button2.Text = "すべて選択(&A)"
            '
            'button6
            '
            Me.button6.Location = New System.Drawing.Point(138, 6)
            Me.button6.Name = "button6"
            Me.button6.Size = New System.Drawing.Size(263, 23)
            Me.button6.TabIndex = 12
            Me.button6.Text = "選択 Item に対するコンテキストメニュー表示(&C)"
            '
            'panel6
            '
            Me.panel6.Anchor = CType((((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) _
                        Or System.Windows.Forms.AnchorStyles.Left) _
                        Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
            Me.panel6.Controls.Add(Me.treeView1)
            Me.panel6.Location = New System.Drawing.Point(0, 0)
            Me.panel6.Name = "panel6"
            Me.panel6.Size = New System.Drawing.Size(196, 494)
            Me.panel6.TabIndex = 11
            '
            'treeView1
            '
            Me.treeView1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
            Me.treeView1.Dock = System.Windows.Forms.DockStyle.Fill
            Me.treeView1.Location = New System.Drawing.Point(0, 0)
            Me.treeView1.Name = "treeView1"
            Me.treeView1.ShowLines = False
            Me.treeView1.Size = New System.Drawing.Size(196, 494)
            Me.treeView1.TabIndex = 4
            '
            'Form1
            '
            Me.AutoScaleBaseSize = New System.Drawing.Size(5, 12)
            Me.ClientSize = New System.Drawing.Size(792, 516)
            Me.Controls.Add(Me.Panel1)
            Me.Controls.Add(Me.StatusBar1)
            Me.MinimumSize = New System.Drawing.Size(800, 550)
            Me.Name = "Form1"
            Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
            Me.Text = "Form2"
            CType(Me.fileSystemWatcher1, System.ComponentModel.ISupportInitialize).EndInit()
            Me.Panel1.ResumeLayout(False)
            Me.Panel2.ResumeLayout(False)
            Me.panel5.ResumeLayout(False)
            Me.panel4.ResumeLayout(False)
            Me.panel4.PerformLayout()
            Me.groupBox1.ResumeLayout(False)
            Me.panel3.ResumeLayout(False)
            Me.panel6.ResumeLayout(False)
            Me.ResumeLayout(False)

        End Sub

#End Region


        ''' <summary>
        ''' TreeView, ListView にアイテム追加。
        ''' </summary>
        Private Sub Form1OnActivated(ByVal sender As Object, ByVal e As System.EventArgs)
            Try
                RemoveHandler Me.Activated, AddressOf Form1OnActivated

                Me.Refresh()
                Application.DoEvents()

                '-- Desktop を root として TreeView にアイテムを追加 --'
                treeView1.Nodes.Clear()
                Dim shItem As New ShellItem(Win32Flags.CSIDL.CSIDL_DESKTOP)
                shItem.FillTreeView(treeView1)
                treeView1.TopNode.Expand()
                treeView1.SelectedNode = treeView1.TopNode
                AddHandler fileSystemWatcher1.Changed, AddressOf OnChanged
                AddHandler fileSystemWatcher1.Created, AddressOf OnChanged
                AddHandler fileSystemWatcher1.Deleted, AddressOf OnChanged
                AddHandler fileSystemWatcher1.Renamed, AddressOf OnRenamed

                '-- FileSystemWatcher 関係 --
                fileSystemWatcher1.Path = shItem.Path
                fileSystemWatcher1.EnableRaisingEvents = True
            Catch
            End Try
        End Sub

#Region "<< private variable >>"

        Private FOperationIndex As Integer = 0
        ' 0: Copy, 1: Delete, 2: Move, 3: Rename, 4: Empty recyclebin, 5: Show property sheet.
        '-- FOperationIndex とTwFuncOption 
        Private FOpArray() As Win32Flags.FileOperations = New Win32Flags.FileOperations(3) {Win32Flags.FileOperations.FO_COPY, Win32Flags.FileOperations.FO_DELETE, Win32Flags.FileOperations.FO_MOVE, Win32Flags.FileOperations.FO_RENAME}
#End Region

#Region "<< private method >>"

        ''' <summary>
        ''' fileListView1 の選択 Item のフルパス名を textBox1 に表示する。
        ''' </summary>
        Private Sub ShowSelectedItemPathList()
            Dim selectedList As ArrayList = fileListView1.GetSelectedItemPathList()
            textBox1.Lines = DirectCast(selectedList.ToArray(GetType(String)), String())
        End Sub

        ''' <summary>
        ''' fileListView1 の選択 Item の DisplayName を textBox1 に表示する。
        ''' </summary>
        Private Sub ShowSelectedItemDisplayNameList()
            Dim selectedList As ArrayList = fileListView1.GetSelectedItemDisplayNameList()
            textBox1.Lines = DirectCast(selectedList.ToArray(GetType(String)), String())
        End Sub

        ''' <summary>
        ''' SHFileOperation の実行準備。
        ''' </summary>
        Private Sub SetFileFolderDataToSHFOP()
            SHFOP.FromFFList.Clear()
            ShowSelectedItemPathList()
            For i As Integer = 0 To textBox1.Lines.Length - 1
                Dim tmpStr As String = textBox1.Lines(i).Trim()
                If tmpStr <> "" Then
                    SHFOP.FromFFList.Add(tmpStr)
                End If
            Next
            SHFOP.ToFolder = textBox2.Text.Trim()
        End Sub

        ''' <summary>
        ''' fileListView1 を更新。
        ''' </summary>
        Private Sub UpdateFileListView()
            System.Windows.Forms.Cursor.Current = Cursors.WaitCursor
            Try
                Dim shi As ShellItem = DirectCast((treeView1.SelectedNode.Tag), ShellItem)
                fileListView1.RootShellItem = shi
            Finally
                System.Windows.Forms.Cursor.Current = Cursors.[Default]
            End Try
        End Sub

        ''' <summary>
        ''' fileListView1 での選択されている pItemIDList を取得する。
        ''' </summary>
        ''' <param name="ishfCurr">
        ''' カレント IShellFolder を取得。
        ''' </param>
        ''' <param name="pidlList">
        ''' 選択されている pItemIDList 配列。
        ''' </param>
        Private Sub GetSelectedPIDLList(ByRef ishfCurr As IShellFolder, ByRef pidlList As IntPtr())
            Dim shi As ShellItem = DirectCast((treeView1.SelectedNode.Tag), ShellItem)
            ishfCurr = shi.ISHF
            Dim dispList As ArrayList = fileListView1.GetSelectedItemRelativePIDLList()
            pidlList = DirectCast(dispList.ToArray(GetType(IntPtr)), IntPtr())
        End Sub
#End Region

#Region "<< FileSystemWatcher Event Handler >>"

        ''' <summary>
        ''' Current folder の変更に応答。ListView の更新。
        ''' </summary>
        Private Sub OnChanged(ByVal source As Object, ByVal e As FileSystemEventArgs)
            UpdateFileListView()
        End Sub

        ''' <summary>
        ''' Current folder の変更に応答。ListView の更新。
        ''' </summary>
        Private Sub OnRenamed(ByVal source As Object, ByVal e As RenamedEventArgs)
            UpdateFileListView()
        End Sub
#End Region

#Region "<< TreeView Event Handler >>"

        ''' <summary>
        ''' 子 Node をぶら下げる。
        ''' </summary>
        ''' <param name="sender"></param>
        ''' <param name="e"></param>
        Private Sub treeView1_BeforeExpand(ByVal sender As System.Object, ByVal e As System.Windows.Forms.TreeViewCancelEventArgs) Handles treeView1.BeforeExpand
            If e.Node.Nodes.Count = 0 Then
                If e.Node.Tag Is Nothing Then
                    Return
                End If
                System.Windows.Forms.Cursor.Current = Cursors.WaitCursor
                Try
                    ShellItem.FillTreeNode(e.Node, False)
                Catch ex As Exception
                    MessageBox.Show(ex.Message)
                Finally
                    System.Windows.Forms.Cursor.Current = Cursors.[Default]
                End Try
            End If
        End Sub

        ''' <summary>
        ''' ListView にファイル一覧を表示。
        ''' </summary>
        Private Sub treeView1_AfterSelect(ByVal sender As System.Object, ByVal e As System.Windows.Forms.TreeViewEventArgs) Handles treeView1.AfterSelect
            If e.Node.Tag Is Nothing Then
                Return
            End If
            System.Windows.Forms.Cursor.Current = Cursors.WaitCursor
            Try
                fileSystemWatcher1.EnableRaisingEvents = False
                Dim shi As ShellItem = DirectCast((e.Node.Tag), ShellItem)
                fileListView1.RootShellItem = shi
                If shi.Path <> "" Then
                    fileSystemWatcher1.Path = shi.Path
                    fileSystemWatcher1.EnableRaisingEvents = True
                End If

                If shi.HasSubFolder Then
                    e.Node.Expand()
                End If
                '-- 選択リストをクリア --
                textBox1.Clear()
            Catch ex As Exception
                MessageBox.Show(ex.Message)
            Finally
                System.Windows.Forms.Cursor.Current = Cursors.[Default]
            End Try
        End Sub

        ''' <summary>
        ''' F5 キーで選択 TreeNode の更新。
        ''' </summary>
        Private Sub treeView1_KeyDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles treeView1.KeyDown
            Select Case e.KeyCode
                Case Keys.F5
                    If treeView1.SelectedNode Is Nothing Then
                        Return
                    End If
                    treeView1.SelectedNode.Nodes.Clear()
                    ShellItem.FillTreeNode(treeView1.SelectedNode)
                    Exit Select
                Case Else
                    Exit Select
            End Select
        End Sub

        ''' <summary>
        ''' SelectedNode に対するコンテキストメニューを表示。
        ''' ※実行後に再描画が必要であれば適宜処理して下さい。
        ''' </summary>
        Private Sub treeView1_MouseClick(ByVal sender As Object, ByVal e As MouseEventArgs) Handles treeView1.MouseClick
            If e.Button = MouseButtons.Right Then
                If treeView1.SelectedNode Is Nothing Then
                    Return
                End If
                '-- SelectedNode に関連付けられた ShellItem を取得 --'
                Dim shi As ShellItem = DirectCast(treeView1.SelectedNode.Tag, ShellItem)

                '-- 親 IShellFolder と選択フォルダの相対 pItemIDList を取得 --'
                Dim ishfParent As IShellFolder = shi.ISHFParent
                Dim pidlList As IntPtr() = New IntPtr() {shi.PIDL}

                '-- コンテキストメニューヘルパ生成 --'
                Dim cmh As New ContextMenuHelper(Me.Handle, ishfParent, pidlList)
                Try
                    '-- コンテキストメニュー表示 --'
                    cmh.PopupContextMenu()
                Finally
                    cmh.Dispose()
                End Try
            End If
        End Sub
#End Region

#Region "<< Button Event Handler >>"

        ''' <summary>
        ''' ListView で選択されている Item のフルパス名を TextBox に表示する。
        ''' </summary>
        Private Sub button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button1.Click
            System.Windows.Forms.Cursor.Current = Cursors.WaitCursor
            Try
                ShowSelectedItemPathList()
            Finally
                System.Windows.Forms.Cursor.Current = Cursors.[Default]
            End Try
        End Sub

        ''' <summary>
        ''' ListView 内のすべての Item を選択状態にする。
        ''' </summary>
        Private Sub button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button2.Click
            fileListView1.SelectAll()
        End Sub

        ''' <summary>
        ''' Operation 実行。
        ''' </summary>
        Private Sub button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button3.Click
            Try
                Select Case FOperationIndex
                    Case 0, 1, 2, 3
                        '-- Copy ----
                        '-- Delete --
                        '-- Move ----
                        '-- Rename --
                        SetFileFolderDataToSHFOP()
                        If SHFOP.FromFFList.Count = 0 Then
                            Throw New Exception("Item が未選択です。")
                        End If
                        If FOpArray(FOperationIndex) <> Win32Flags.FileOperations.FO_DELETE Then
                            If textBox2.Text.Trim() = "" Then
                                Throw New Exception("To が未指定です。")
                            End If
                        End If
                        SHFOP.FileOperation = FOpArray(FOperationIndex)
                        If (Not SHFOP.Execute(False)) Then
                            Throw New Exception("Operation が失敗しました。")
                        End If
                        Exit Select
                    Case 4
                        '-- ごみ箱を空にする --
                        SHFOP.EmptyRecycleBin(False)
                        Exit Select
                    Case 5
                        '-- プロパティ表示 --
                        Dim ishfCurr As IShellFolder = Nothing
                        Dim pidlList As IntPtr() = New IntPtr() {}
                        GetSelectedPIDLList(ishfCurr, pidlList)
                        SHFOP.ShowPropertySheet(ishfCurr, pidlList, False)
                        Return
                End Select
                MessageBox.Show("Operation 成功！", "成功！", MessageBoxButtons.OK, MessageBoxIcon.Information)
            Catch ex As Exception
                MessageBox.Show(ex.Message, "失敗！", MessageBoxButtons.OK, MessageBoxIcon.Warning)
            End Try
        End Sub

        ''' <summary>
        ''' FolderBrowserDialog により Folder を選択させる。
        ''' </summary>
        Private Sub button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button4.Click
            Dim path As String = textBox2.Text.Trim()
            If Directory.Exists(path) Then
                folderBrowserDialog1.SelectedPath = path
            Else
                folderBrowserDialog1.SelectedPath = ""
            End If
            Dim dres As DialogResult = folderBrowserDialog1.ShowDialog()
            If dres = Windows.Forms.DialogResult.OK Then
                textBox2.Text = folderBrowserDialog1.SelectedPath
            End If
        End Sub

        ''' <summary>
        ''' 拡張子を指定して一覧を取得する。
        ''' </summary>
        Private Sub button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button5.Click
            System.Windows.Forms.Cursor.Current = Cursors.WaitCursor
            Try
                textBox1.Clear()
                Dim maskStr As String = textBox3.Text.Trim()
                Dim fileList As New ArrayList
                Dim shi As ShellItem = DirectCast((treeView1.SelectedNode.Tag), ShellItem)
                SHFOP.GetFileListMSK(shi.Path, maskStr, fileList, False)
                If fileList.Count = 0 Then
                    Return
                End If
                textBox1.Lines = DirectCast(fileList.ToArray(GetType(String)), String())
            Finally
                System.Windows.Forms.Cursor.Current = Cursors.[Default]
            End Try
        End Sub

        ''' <summary>
        ''' 標準コンテキストメニュー表示。
        ''' </summary>
        Private Sub button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button6.Click
            Dim ishfCurr As IShellFolder = Nothing
            Dim pidlList As IntPtr() = New IntPtr() {}
            GetSelectedPIDLList(ishfCurr, pidlList)
            Dim cmh As New ContextMenuHelper(Me.Handle, ishfCurr, pidlList)
            Try
                cmh.PopupContextMenu()
            Finally
                cmh.Dispose()
            End Try
        End Sub

        Private Sub button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button7.Click

            '** Focused Item の取得 **'
            Dim idx As Integer = fileListView1.FocusedItemIndex
            '↓以下のようにしても取得可能です。
            'Dim idx As Integer = Win32Macro.ListView_GetNextItem( _
            '      fileListView1.Handle _
            '    , -1 _
            '    , CUInt(Win32Flags.LVNI.LVNI_FOCUSED) _
            ')

            '-- 取得成功時に名前を表示 --'
            If idx <> -1 Then
                '-- idx で指定される ShellItem 取得 --'
                Dim shi As ShellItem = fileListView1.RootShellItem.GetVirtualListViewShellItem(idx)
                MessageBox.Show(shi.DisplayName)
            End If

            '-- Item 数を取得 --'
            Dim itemCnt As Integer = fileListView1.ShellItemCount
            idx += 1

            '** Focused Item 設定 **'
            If idx < itemCnt Then
                '↓以下のようにしても設定可能です。
                'Win32Macro.ListView_SetItemState( _
                '      fileListView1.Handle _
                '    , idx _
                '    , CUInt(Win32Flags.LVIS.LVIS_FOCUSED) _
                '    , CUInt(Win32Flags.LVIS.LVIS_FOCUSED) _
                ')
                fileListView1.FocusedItemIndex = idx
            End If

        End Sub
#End Region

#Region "<< RadioButton Event Handler >>"

        ''' <summary>
        ''' Operation 判別用の FOperationIndex 値を変更する。
        ''' </summary>
        Private Sub radioButtons_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs)
            Dim rb As RadioButton = DirectCast(sender, RadioButton)
            If (rb Is Nothing) OrElse (Not rb.Checked) Then
                Return
            End If
            FOperationIndex = Convert.ToInt32(rb.Tag)
        End Sub
#End Region

#Region "<< ContextMenu Event Handler >>"

        ''' <summary>
        ''' 切り取り。
        ''' </summary>
        Private Sub menuItem1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles menuItem1.Click
            Dim ishfCurr As IShellFolder = Nothing
            Dim pidlList As IntPtr() = New IntPtr() {}
            GetSelectedPIDLList(ishfCurr, pidlList)
            SHFOP.CutShellItems(ishfCurr, pidlList, False)
        End Sub

        ''' <summary>
        ''' コピー。
        ''' </summary>
        Private Sub menuItem2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles menuItem2.Click
            Dim ishfCurr As IShellFolder = Nothing
            Dim pidlList As IntPtr() = New IntPtr() {}
            GetSelectedPIDLList(ishfCurr, pidlList)
            SHFOP.CopyShellItems(ishfCurr, pidlList, False)
        End Sub

        ''' <summary>
        ''' 貼り付け。
        ''' </summary>
        Private Sub menuItem4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles menuItem4.Click
            Dim shiCurr As ShellItem = DirectCast((treeView1.SelectedNode.Tag), ShellItem)
            Dim shiParent As ShellItem = DirectCast((treeView1.SelectedNode.Parent.Tag), ShellItem)
            Dim ishfParent As IShellFolder = shiParent.ISHF
            Dim pidlList As IntPtr() = New IntPtr() {IntPtr.Zero}
            pidlList(0) = shiCurr.PIDL
            SHFOP.PasteShellItems(ishfParent, pidlList, False)
        End Sub

        ''' <summary>
        ''' ごみ箱に送る。
        ''' </summary>
        Private Sub menuItem6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles menuItem6.Click
            Dim ishfCurr As IShellFolder = Nothing
            Dim pidlList As IntPtr() = New IntPtr() {}
            GetSelectedPIDLList(ishfCurr, pidlList)
            SHFOP.DeleteShellItems(ishfCurr, pidlList, False)
        End Sub
#End Region

#Region "<< FileListView Event Handler >>"
        ''' <summary>
        ''' 現在フォーカスの当たっている Item のパスを StatusBar に表示する。
        ''' ※仮想フォルダの場合は""となる。
        ''' </summary>
        Private Sub fileListView1_OnItemChanged(ByVal sender As Object, ByVal e As Fermion.Windows.Forms.ItemChangedEventArgs) Handles fileListView1.OnItemChanged
            If (e.NewState And CUInt(Win32Flags.LVNI.LVNI_FOCUSED)) <> 0 Then
                Dim shi As ShellItem = fileListView1.RootShellItem.GetVirtualListViewShellItem(e.Index)
                StatusBar1.Text = ( _
                    "Focused Item : " & shi.DisplayName & _
                    (If(String.IsNullOrEmpty(shi.Path), "", " ( Path : " + shi.Path & " )")) _
                )
            End If
            '<-- if
        End Sub

        ''' <summary>
        ''' Item の Double Click 時。
        ''' ・フォルダ選択時 --> フォルダの中へ。
        ''' ・フォルダ以外　 --> 関連付けられているアプリでの起動を試みる。
        ''' </summary>
        Private Sub fileListView1_MouseDoubleClick(ByVal sender As Object, ByVal e As MouseEventArgs) Handles fileListView1.MouseDoubleClick
            If fileListView1.SelectedIndices.Count = 0 Then
                Return
            End If
            Dim idx As Integer = fileListView1.SelectedIndices(0)
            Dim shi As ShellItem = fileListView1.RootShellItem.GetVirtualListViewShellItem(idx)
            '-- フォルダなら中へ --'
            If shi.IsFolder Then
                Dim currNode As TreeNode = treeView1.SelectedNode
                If currNode Is Nothing Then
                    Return
                End If
                '-- 選択 Item を示す TreeNode を捜す --'
                Dim cnt As Integer = currNode.GetNodeCount(False)
                ShellItem.TreeNodeSetChildren(currNode, (cnt > 0))
                For i As Integer = 0 To cnt - 1
                    Dim shiTemp As ShellItem = DirectCast(currNode.Nodes(i).Tag, ShellItem)
                    '-- 該当時 TreeNode を展開し ShellView を更新して抜ける --'
                    If ItemIDListManager.ComparePIDLs(shiTemp.ISHFParent, shi.PIDL, shiTemp.PIDL) = 0 Then
                        treeView1.SelectedNode = currNode.Nodes(i)
                        treeView1.SelectedNode.Expand()
                        fileListView1.RootShellItem = shi
                        Exit For
                    End If
                Next
            Else
                '-- 選択 Item の fully-qualified pItemIDList を取得 --'
                Dim fqPIDL As IntPtr = shi.PIDLFQ
                '-- 起動準備 --'
                Dim shExeInfo As New Win32Structs.SHELLEXECUTEINFO()
                shExeInfo.cbSize = CUInt(System.Runtime.InteropServices.Marshal.SizeOf(shExeInfo))
                shExeInfo.fMask = CUInt(Win32Flags.SEE_MASK.SEE_MASK_INVOKEIDLIST)
                shExeInfo.hwnd = IntPtr.Zero
                shExeInfo.lpVerb = ""
                shExeInfo.lpFile = ""
                shExeInfo.lpParameters = ""
                shExeInfo.lpDirectory = ""
                shExeInfo.nShow = Win32Const.SW_SHOWNORMAL
                shExeInfo.hInstApp = IntPtr.Zero
                shExeInfo.lpIDList = fqPIDL
                shExeInfo.lpClass = ""
                shExeInfo.hkeyClass = IntPtr.Zero
                shExeInfo.dwHotKey = 0
                shExeInfo.hIconMonitor = IntPtr.Zero
                '-- 関連付けられているアプリで起動 --'
                ShellApi.ShellExecuteEx(shExeInfo)
            End If
            '<-- if
        End Sub
#End Region

    End Class
End Namespace
